locale_t(3type)

NAME
locale_t - locale object

LIBRARY
Standard C library (libc)

SYNOPSIS
#include <locale.h>

typedef /* ... */  locale_t;

DESCRIPTION
locale_t is a type used for storing a locale object.

STANDARDS
POSIX.1-2008.

HISTORY
POSIX.1-2008.

NOTES
The following headers also provide this type: <ctype.h>, <langinfo.h>, <monetary.h>, <string.h>, <strings.h>, <time.h>, <wchar.h>, <wctype.h>.

SEE ALSO
duplocale(3), freelocale(3), newlocale(3), setlocale(3), uselocale(3), locale(5), locale(7)